
;******************************************************************************
;           The ex1.asm is exercise one for the I/O control                   *
;           Press the SW3(RA4) the PORTD will show b11110000 on LED           *
;           Press the SW2(RB0) the PORTD will show b00001111 on LED           *
;******************************************************************************

			LIST 	P=18F452			;directive to define processor 
			#include <P18F452.INC>	;processor specific variable definitions

;******************************************************************************
;
#define		SW2		PORTB,0
#define		SW3		PORTA,4

;******************************************************************************
;Reset vector
; This code will start executing when a reset occurs.

			ORG		0x0000

			goto	Main		;go to start of main code


;******************************************************************************
;Start of main program
; The main program code is placed here.

Main:
			movlw	b'00000110'		; Disable A/D input, PORTA & PORTE are I/o
			movwf	ADCON1 			; See Data Sheet Page 180
			clrf	TRISD			; Set PORTD for LED output
			clrf	PORTD			; LED off
;
Loop_Test
			btfsc	SW2
			bra		Check_SW3
			movlw	b'00001111'
			movwf	PORTD
;
Check_SW3
			btfsc	SW3
			bra		Loop_Test
			movlw	b'11110000'
			movwf	PORTD
			bra		Loop_Test
;	    
;******************************************************************************
;End of program

			END
